NW4C EffectMaker

NintendoWare for CTR
NW4C EffectMaker
Version 1.0.0
2011/02/28

Confidential

This document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.

This document contains proprietary information. Please take strict measures to keep this information confidential.

© 2009-2011 Nintendo/HAL Laboratory, Inc. All rights reserved.
CTR-06-0149-001-1

Microsoft Internet Explorer 7.0 / Mozilla Firefox 3.0 or later versions are recommended.


Revision History

([*]) is a link to the relevant page.

Version 1.0.0 2011/02/28

Added/Modified Functionality

  • Added support for loading .cmat, .c3mt, .cmata files.
  • Added support for directly entering numeric values for in/out animation.
  • Added support for copying nodes on the Project Window.
  • Added support for copying and pasting curves in the tree in CurveEditor.

Version FC (0.9.1)　2011-01-11

Bug Fixes

  • Fixed a bug where children could not have children.
  • Fixed a bug related to the child emission frame.
  • Revised software to allow customization using texture UV repeat settings.

Version FC PreRelease(0.9.0)　2010-12-22

Added/Modified Functionality

  • Added a 3D Link feature.
  • Added support for calling up the CHM help file using the F1 key.
  • Integrated the Property panel for scale and extended scale.
  • Added support for editing in/out animations.
  • Made other miscellaneous adjustments to the user-interface.

Version β(0.8.0)　2010-11-16

Added/Modified Functionality

  • Added support for editing animations.
  • Added support for displaying the Project texture folder.
  • Added material properties that can be edited.

Version α(0.7.0)　2019-10-21

  • Initial version.

CONFIDENTIAL


Introduction

This manual describes the use of the NW4C EffectMaker (hereafter, EffectMaker).
When using EffectMaker, use this manual.

If you press F1 while using the EffectMaker, a context-sensitive help page will appear.

Notation Used in this Documentation

The following notation is used in this documentation.

Menu Notation

Menus and menu items are written as follows: Menu Name → Menu Item.
For example, select Open from the File menu.

Key Binding Notation

Key bindings that use multiple keys at the same time are written using a plus sign (+).
For example, CTRL+S directs you to press the S key while holding down the CTRL key.

Operating Environment

EffectMaker has been confirmed to run in the following operating environment:

  • CTR-SDK 1.0 (SystemUpdater 0.14.23)
  • PARTNER-CTR Debugger software version 2011/02/09
  • NintendoWare for CTR 2.0.0
  • Microsoft .NET framework 4.0 Full
    (Page distributing the Web installer version、Page distributing the Web installer stand-alone installer version )
  • Microsoft Visual C++ 2010 redistributable package (x86)
    ( Distribution page )

EffectMaker will not operate normally if the following are not installed: Microsoft's .NET Framework 4.0 Full version and Visual C++ 2010 redistributable package (x86),

OS

  • Microsoft Windows XP Professional 32-bit version (SP3 or later)
  • Microsoft Windows 7 64-bit version (32-bit mode)


Overview

NW4C (NintendoWare for CTR) EffectMaker is a tool for creating and managing effect data. By linking to a viewer that operates on a test unit, you can adjust the settings while checking what the results look like on the test unit.


Tutorial

Notes

  • Limitations on Hierarchical Structures
  • Material Limitations
  • Currently Known Bugs


Support Limitations on Hierarchical Structures

Limitations on Hierarchical Structures

In NW4C CreativeStudio Ver. 1.2.0 and later, you can assemble hierarchical structures for effects with a certain degree of freedom. However, with EffectMaker there are limitations on the hierarchical structures that are supported.

Here, we describe the hierarchical structures that can be loaded into Effect Maker and those that cannot.

  • Loadable Hierarchical Structures
  • Unloadable Hierarchical Structures

Loadable Hierarchical Structures

Data created using the hierarchical structures listed below is supported by Effect maker. The associated hierarchical structures can therefore be used.

  • Emitter level immediately below the effect
    Loadable Hierarchical Structure Type 1
  • Effect and emitter not layered
    Loadable Hierarchical Structure Type 2

Particle model nodes in NW4C CreativeStudio are handled by EffectMaker as effect entries.

In addition, emitter nodes and particle nodes in NW4C CreativeStudio are handled by EffectMaker as particle entries.

Unloadable Hierarchical Structures

Data created using the hierarchical structures listed below is note supported by Effect maker. The associated hierarchical structures therefore cannot be used.

  • Effect level immediately below the emitter
    Unloadable Hierarchical Structure Type 3
  • Same layer as the emitter
    Unloadable Hierarchical Structure Type 4
  • Same layer as the effect
    Unloadable Hierarchical Structure Type 5

Data, such as the following, where nodes other than effects have been organized into a hierarchy, cannot be loaded.

  • 3D model and effects hierarchies
  • Camera and effect hierarchies
  • Fog and effect hierarchies
  • Light and effect hierarchies


Limitations on Editing Materials

Material Limitations

Here, we describe limitations on materials when using EffectMaker.

  • Material Settings Not Supported by Effects
  • Limitations on Editing Materials

Material Settings Not Supported by Effects

Materials created using NW4C CreativeStudio or 3DEditor include settings not support by effects.

If a material setting file created to include any of the settings below is loaded into EffectMaker, the file will not be displayed correctly on the Viewer.

  • Coord2 is used for the texture coordinator
  • A setting other than UV coordinate 0 is used for a UV set
  • Coordinates other than texture coordinates are used for the texture mapping method
  • Fragment lights are used
  • Vertex lights are used

Limitations on Editing Materials

There are limitations on edits that can be made to materials created using NW4C CreativeStudio and 3DEditor after they are loaded into EffectMaker.

The following material settings can be edited using EffectMaker. Items not listed below cannot be confirmed or edited with EffectMaker.

Materials Settings That Can Be Edited Using EffectMaker
Properties | Settings
Blender | Blender reset
 | Render layer specification
 | Use fog ON/OFF
Textures | Texture Selection
 | Tiling
 | Mipmapping
Combiner | Color side preset
 | Constant color
 | Alpha side preset
Color | Emission color, ambient color, diffuse color


Currently Known Bugs

Instable Operation Bugs

Operations when loading the same effect from more than one project are unstable

Sometimes an error occurs when loading the same effect.
If the same effect is loaded by two projects, and one project is closed, the effect will be deleted from the project left open.
In this case, the deleted effect can be restored using Undo.

Operations after repeatedly loading an effect without a specified texture are unstable

Operations become unstable after repeatedly loading an effect where a specified texture maintained by that effect does not exist on the specified path.

Hardware Bugs

Project window: Information for an already existing node cannot all be cut and pasted at once

Although the cutting and pasting of nodes is supported on the Project Window, information about already existing nodes cannot all be cut and pasted at once.

Project window: If you bring up a pop-up menu immediately after startup, items that should not be selectable are selectable

There is a bug where items that you should not normally be able to select such as Open with Explorer and Open Property window can be selected when a popup menu is displayed by right clicking immediately after startup. Nothing happens even if the item is selected.

Slider window: If range settings are changed, the value also changes along with the range

The part past the decimal point is rounded up depending on the range if you press the range setting button for the Slider Window.
The value is changed to lie inside the range even if set in a range that exceeds the current value. Pay close attention when changing value ranges.

No support for simultaneously editing effects having the same name, but different paths

You cannot simultaneously edit effects having the same name, but different path on the same project window or multiple project windows. This is prohibited to prevent accidents.

Texture names displayed for the texture mapper are totally wrong if multiple effects without a specified texture have been loaded

There is a bug where the texture name displayed for texture mapper is changed to the texture name of the effect last loaded if multiple effects without a specified texture have been loaded. Because the the correct texture name is being maintained internally, the correct texture name will be displayed when the correct texture is loaded.

Textures loaded using material settings files are included in the save target list even if not being used

If you load a material settings file on the material Properties window, and textures are also loaded at this time,
they will be included in the list of save targets even if they are not being used.

Importing a c3mt material settings file imports textures even if textures have been deselected as import targets

If you load a c3mt material settings file on the マテリアル Properties window, textures will be imported even if textures have been deselected as import targets.

Some real-time transfer does not support enable for the runtime setting

There are some locations where the Enable checkbook for the runtime setting is not supported by some real-time transfer. Apply settings by pressing F5 to resend.

Sometimes the playback range specification becomes disabled during 3D Link

Sometimes when using 3D Link you may specify a playback range using Viewer Controls but it will not be applied. You may need to close and re-open Viewer Controls if this happens.

Sometimes the automatic calculation of work memory during execution is wrong

Taking into account factors such as random numbers, the automatic calculation of work memory results in an insufficient amount of work memory no matter what.
However, in the case of child particles, a greater value than needed may result. There are also rare cases of not enough memory.

Some data in effect files created using CreativeStudio cannot be transferred from EffectMaker to the Viewer

Sometimes data cannot be transferred to the Viewer opened by EffectMaker when the effect was created using CreativeStudio.
There are no reports of this problem with data created using EffectMaker.

Bugs associated with illegal shutdown

Child particles: The Viewer shuts down illegally if you change the range setting for emissions using Specify where emissions start and end (in frames)

If EffectMaker is connected to the Viewer, the Viewer will illegally shut down if Specify where emissions start and end (in frames) for ?? is used to enter a value of 100 for start/end/sensitivity values, resulting in a change in settings to a range of 0 through 10.

EffectMaker illegally shuts down if a project is closed after loading only textures and then save is selected

If you load textures only and then close a project, items that you normally could not select such as Save and Save All in Specified Location will appear to be selectable.
An illegal shutdown occurs if these items are selected at this time.

Project window: An illegal shutdown occurs if an effect is copied and CTRL+V is pressed while the mouse cursor is on the project in a location without any nodes

Sometimes an illegal shutdown occurs if an effect node is copied and then CTRL+V is pressed in a location where there are no project nodes and nothing exists on the project window.


Tutorial

  • Preview in Viewer
  • Creating and Saving Projects
  • Creating a Flame Effect
  • Ripple Effect Using Children
  • Following an Effect
  • Velocity Inheritance by Children
  • Linking 3D Models and Effects
  • Loading Materials


Previewing in the Viewer

Preview in Viewer

In this tutorial, we describe the procedure for starting the Viewer and previewing a sample project loaded into EffectMaker.

The basic procedure is given below.

  • Starting the Viewer
  • Starting EffectMaker
  • Loading a Sample Project
  • Transferring Data to the Viewer

Starting the Viewer

To confirm effects using the Viewer, you must launch the Viewer in advance.

A batch file for launching Viewer is located in the directory in which it is installed.

For details on the how to use the Viewer, see the Viewer manual.

Starting EffectMaker

To start EffectMaker, double-click NW4C_EffectMaker.exe located in the folder.

The following image is the main window displayed immediately after EffectMaker starts.

EffectMaker Startup Screen

Loading a Sample Project

Here, we load a project prepared ahead of time. Project files are located in the folder given below.

" SampleData/Effect/Intermediate/Project/Sample.cepj "

The following methods are available for loading the project.

  • On the main window menu, select File > Exit.
  • Drag and drop the sample project into the main window of EffectMaker.
  • Use Ctrl+O.

Transferring Data to the Viewer

Select Arrow_Effect from the loaded sample project files and transfer to the Viewer.

You can transfer data to the Viewer using any of the following three methods.

  • On the main window menu, select Preview > Transfer again.
  • Press Connect to Viewer on the toolbar.
  • Use the F5 shortcut key.

The following image shows Arrow_Effect after transfer to the Viewer.

Effects transferred to the Viewer can be deleted by closing the Project Window.

For a description of operations available on the Project Window, click here.


Creating and Saving Projects

In this tutorial, we describe the procedure for creating a new project and saving edited data.

The basic procedure is given below.

  • Creating New Projects
  • Creating Effects
  • Editing Effects
  • Saving Projects
  • Completing Tasks

Creating New Projects

Here, we create a Project and manage multiple effects.

The following methods are available for creating new projects.

  • Select the main window's File → Create New → Project menu item.
  • Press Add a new project button on the main window toolbar.

A dialog will appear. Enter a project name and press OK to create the project.

When using Effect, you can open more than one project in the main window.

The following image shows multiple projects open in the main window.

Creating New Projects

Creating Effects

Creates Effects inside the created project window.

The following method is available for creating effects.

  • Press Add a new effect on the main window toolbar.

A dialog will appear. Enter an effect name and press OK to create the effect.

The effect including all particles and the particle underneath are created.

The image below shows an effect created inside the Project Window.

Editing Effects

Here, we open the Property Window for the created effect and set associated parameters.

The following methods are available for displaying the Property Window.

  • Double click on the effect or particle to be edited. Press Property Window on the main window toolbar.
  • Select the effect or particle to be edited and press Property Window on the main window toolbar.
  • Select the effect or particle to be edited and press CT+PA.

The following image shows the Property Window for particles. Sets parameters freely.

Saving Projects

Here, we wave the project file and edits made to effects.

The following methods are available for saving projects.

  • With the Project Window to be saved selected, select the main window menu items File > Save.
  • Press Save on the main window toolbar.
  • Use the Ctrl+S shortcut key.

Completing Tasks

You can select from among several methods depending on the situation to complete tasks under EffectMaker.

In all cases, a Save File dialog is displayed if there are any remaining unsaved files.

Closing a single project

Closes a single project for which tasks are complete. The edited project can be saved.

The following methods are available in this case.

  • With the Project Window to be saved selected, select the main window menu items File > Close.
  • With the Project Window to be saved selected, press Close.
  • Use the Ctrl+W shortcut key.

Closing all projects

All projects open in EffectMaker can be closed at one time. The edited project can be saved.

The following methods are available in this case.

  • Select the main window's File → Close All.
  • Use the Ctrl+Shift+W shortcut key.

Exiting EffectMaker

Here, we close all open projects and exit EffectMaker. The edited project can be saved.

The following methods are available in this case.

  • On the main window menu, select File > Exit.
  • Press Close on the main window.
  • Use the Ctrl+Q shortcut key.


Creating a Flame Effect

In this tutorial, we describe how to create effects using EffectMaker using a flame effect as an example.

The basic procedure is given below.

  • Preparing to Create the Effect
  • Setting the Emitter
  • Setting Particles
  • Setting and Animating Textures
  • Setting and Animating Scale
  • Setting and Animating Rotation
  • Setting and Animating Alpha

Preparing to Create the Effect

Loading Provided Files

Effect files created for this tutorial are located in the following location.

" SampleData/Effect/Intermediate/ManualResource/Fire_Effect/Fire_Effect.cptl "

You can load the files as follows.

  • On the main menu, select File > Open and then select files to load, or
  • Drag and drop files to load on the main window.

Creating a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Creating a new effect

Press Add a new effect on the Project window tool bar to open a dialog for creating a new effect.

Enter Fire_Effect for Effect Name and press OK.

Loading textures

Load the File_Anim.ctex texture file in the Fire_Effect sample folder into the project

The project window should appear as follows at this point.

Select the Fire_Effect effect and press F5 to transfer data to the Viewer.

You can now create the effect while observing changes on the Viewer.

Setting the Emitter

Sets the shape of the emitter that will emit flame particles.

Double click on Particle00 located under the Fire_Effect effect to open a Property window.

Open Emission under Emitter and select Sphere from Emitter Shapes.

Setting Particles

Now, we configure the flame particles.

Lifespan setting

This setting specifies the particle life time from emission until expiration.

Select Lifespan under Particle and enter the following values.

  • Maximum lifespan 30
  • Minimum lifespan 20

This setting causes the lifespan of particles to randomly vary in the range of 20 to 30 frames.

Initial velocity setting

The initial velocity when a particle is emitted from an emitter is set to zero.

Select Initial velocity under Particle, and press Delete to disable Random direction (the default setting).

Setting fields

The flame can be made to appear to rise by applying gravity to particles in the upward direction.

Select Field under Particle, then select Gravity from the pull-down menu, press Add and settings used to specify the gravity will be added.

Enter the following values for Gravity parameters.

  • X 0.0
  • Y 1.0
  • Z 0.0
  • Initial speed 0.02

Color Settings

Sets the color of the particle.

Select Color under Particle and enter the following RGB values.

  • R 1.0
  • G 0.17
  • B 0.05

Setting and Animating Textures

Textures can be set and then animated using texture patterns.

Texture Settings

Change the texture beginning from its default state.

Select Texture mappers under Material, select fire_anim from the pull-down menu, and change the texture.

Texture pattern animation settings

Four flame patterns have been drawn and placed in the Fire_Anim.ctex texture file. These can be animated one pattern at a time.

Select Vertex UV translation for Texture 0, then select Texture pattern from the animation pull-down window to enable settings used to specify texture patterns.

The following table lists texture pattern input values and descriptions.

Texture Pattern Settings
Item | Value | Description
U | 4 | The number of patterns in the horizontal direction.
V | 1 | The number of patterns in the vertical direction.
Playback Order | 0 - 3 | Specifies the order in which to send patterns. Pattern 1 through Pattern 4 are played in order by specifying a value from 0 to 3.

You can make a texture pattern animation automatically fit inside the lifespan of a particle by setting Playback options to Fit to lifespan.

Setting and Animating Scale

Now, we use additive animation to further animate the scene by adding variation to the size of flame particles at the time of particle emission.

Scale settings

Apply variation to the size of particles when they are emitted from the emitter.

Select Scale under Particle and enter the following values.

  • X 2
  • Y 2
  • Amplitude 25%

These settings will cause the size of the particle at time of emission to vary in the range from 1.5 to 2.5.

Scale animation settings

Here, we animate so that particles gradually appear to grow smaller.

Select Additive animation from the animation pull-down menu to display animation settings. Enter the following values.

  • X -0.02
  • Y -0.02

These settings cause the particles to appear to gradually grow smaller over time by subtracting a given value each frame.

Setting and Animating Rotation

The effect can be animated further by varying the angle at which particles are emitted.

Rotation settings

Apply variation to angle particles are emitted from the emitter.

Select Rotation under Particle and enter the following values.

  • Z 360.0 degrees
  • Amplitude Z 100 ％

These settings will cause the angle at which particles are emitted to vary in the range from 0 to 720 degrees.

Rotation animation settings

Now, we animate by emitting particles at different angles each time the emitter emits one.

Select Additive animation from the animation pull-down menu to enable animation settings.

Press the button shown below for opening Curve Editor. Curve Editor will appear. Animations can now be configured by creating curves.

Curve Editor button

Create a curve like the following on Curve Editor for Rotate z.

For information on editing using Curve Editor, see here. →Under construction

Rotation animation curve

Curve Editor Settings
Frames (Horizontal) | 0 | 1 | 2 | 3 | 4
Value (Vertical) | -5.5 | -2.5 | 5.5 | 2.5 | 0

A different rotation animation results by setting Playback options to Random table. This is due to randomly adding a value from the curve just created each time the emitter emits a particle.

Setting and Animating Alpha

Particle alpha is animated using In/out animation.

Alpha animation

Particles can be animated so they appear to gradually appear and then gradually disappear over their lifespan.

Open Alpha under Particle and select In/out animation from the animation pull-down menu. Settings used for in/out animation will be shown. Make the following settings.

Alpha in/out animation

Content of four key frame settings during in/out animation
Frames (Horizontal) | 0.0 | 0.0 | 0.65 | 1.0
Value (Vertical) | 1 | 1 | 1 | 0.25

The following is an image of the finished flame effect.

Result of alpha animation


Ripple Effect Using Children

In this tutorial, we describe how to create child particles using the ripple effect caused by falling water in a fountain as an example.

For a detailed description of how to create effects, click here.

The basic procedure is given below.

  • Preparing to Create the Effect
  • Creating Child Particles
  • Setting Child Particles

Preparing to Create the Effect

Confirming the Loading of the File

The effect file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Fountain_Effect/Fountain_Effect_Mid_Flow.cptl "

Effect files created for this tutorial are located in the following location.

" SampleData/Effect/Intermediate/ManualResource/Fountain_Effect/Fountain_Effect.cptl "

Creating a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Loading effects

On the main menu, select File > Open, and load the file Fountain_Effect_Mid_Flow.cptl located in the folder Fountain_Effect.

Select Fountain and press F5 to transfer data to the Viewer.

Check the fountain effect on the Viewer.

Result of particle settings

Creating Child Particles

Here, we use child particles to create ripples generated when fountain particles strike the ground.

Select Fountain_Drop_Particle.

The following methods of creating child particles are available.

  • Press Add a new child particle on the Project Window tool bar to open a dialog for creating a new effect.

Enter Fountain_Ripple_Particle for the child particle name and press OK.

At this point, the following entries are shown for Fountain.

  • Fountain_Drop_Particle represents the fountain particle
  • Fountain_Ripple_Particle represents the ripple created using child particles when the fountain particle strikes the ground.

Setting Child Particles

Here, we set the child particle representing the ripple.

Emitter Settings

Here, we set the emitter so that the ripple particles are emitted when the fountain particles hit the ground.

Double click Fountain_Ripple_Particle to open the Property Window.

Select Child particles and check that Timing is set to When parent particle expires

Other Settings

As for other settings, you can copy child settings by loading the finished effect file Fountain_Effect.

Check the ripple effect when fountain particles strike the ground on the Viewer.

Results of child settings


Following an Effect

In this tutorial, we will describe how to control particles and the emitters that emit them using follow effect settings.

Then, we will describe how to remove the influence of parents for child particles generated fro particles set to follow an effect.

The basic procedure is given below.

  • Preparing Effect Files
  • Follow Settings and Effect-based Control
  • Non-follow Settings and Emitter-based Control
  • Child Particle Follow Control

Preparing Effect Files

Confirming the Loading of the File

The effect file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Fire_Effect/Fire_Effect.cptl "

" SampleData/Effect/Intermediate/ManualResource/Star_Effect/Star_Effect.cptl.cptl "

Creating a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Loading the effect Rain

On the main menu, select File > Open, and load the file Rain_Effect.cptl located in the folder Rain_Effect.

Rain consists of two particles and two child particles.

The effect is easier to understand if you put comments such as given below in the comment field for each entry.

  • The rain effect changes to a rain cloud and rain effect
  • The particle Cloud_Particle changes to a rain cloud particle
  • The particle Rain_Particle changes to a rain particle

Loading the effect Star

On the main menu, select File > Open, and load the file Star_Effect.cptl located in the folder Star_Effect.

Star_Effect consists of particles and child particles.

The following are comments for each entry.

  • The effect Star_Effect changes to a moving start effect
  • The particle Star_Particle changes to a star particle
  • The child particle Star_Child_Particle changes to a star child particle

Follow Settings and Effect-based Control

Here, we will use the Rain effect.

You can control particles and the emitters that emit the clouds and rain by moving the effect.

Cloud and rain particle follow settings

Open Property windows for both Cloud_Particle and Rain_Particle, and set Follow Effect under Emitter to ON.

This setting allows the Cloud_Particle and Rain_Particle emitters and particles used by the Rain effect to all be controlled together.

Viewer confirmation

Select the Rain effect and press F5 to transfer data to the Viewer.

Open the Rain effect Property window, and check the display on Viewer while moving the slider for the Translate X value for Location under Effect.

The cloud and rain particles will now track the motion of the effect.

Non-follow Settings and Emitter-based Control

Particles can be left to remain in place by moving the emitter that emits the cloud and rain particles.

Cloud and rain particle non-follow settings

Restore the follow settings for Cloud_Particle and Rain_Particle to original status.

Open Property windows for both Cloud_Particle and Rain_Particle, and set Follow Effect under Emitter to OFF.

This can reduce the processing load by the amount required to follow the effect.

Viewer confirmation

Select the Rain effect and press F5 to transfer data to the Viewer.

Open the Property windows for Cloud_Particle and Rain_Effect, and check the display on Viewer while moving the slider for the Translate X value for Location under Effect.

The rain cloud and rain particles can be left behind.

Leave Behind Setting

Child Particle Follow Control

Here, we use the Star_Effect effect.

You can control follow and non-follow using Place in the world coordinate system for child particles.

Following child particles

Select Star_Effect and press F5 to transfer data to the Viewer.

Open the Property window for Star_Effect, and check the display on Viewer while moving the slider for the Translate Y value for Location under Effect.

You can check Star_Particle particles that follow the Star_Effect effect and Star_Child_Particle child particles influenced by them.

The Place in the world coordinate system setting

Open a Property window for Star_Child_particle and set Place in the world coordinate system under Particle to on.

This setting causes child particles to no longer be influenced to follow the parent particle that emitted them.

Child particle non-follow

Select Star_Effect and press F5 to transfer data to the Viewer.

Open the Property window for Star_Effect, and check the display on Viewer while moving the slider for the Translate Y value for Location under Effect.

You can check Star_Child_Particle child particles left behind by Star_Particle particles that follow the Star_Effect effect.


Velocity Inheritance by Children

In this tutorial, we describe the procedure for having children inherit their initial velocity from the parent particle that emitted them by setting Inherit the parent's speed (as a child).

Even more natural motion can be achieved by applying random variations to the inherited initial velocity.

The basic procedure is given below.

  • Preparing Effect Files
  • Inheriting the Parent's Velocity as Initial Velocity
  • Applying a random variation to the inherited velocity.

Preparing Effect Files

Confirming the Loading of the File

The effect file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Snow_Crystal_Effect/Snow_Crystal_Effect.cptl "

Creating a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Loading effects

On the main menu, select File > Open, and load the file Snow_Crystal_Effect.cptl located in the folder Snow_Crystal_Effect.

Snow_Crystal_Effect consists of a particle and two child particles.

The following are comments for each entry.

  • Snow_Crystal_Effect changes to a fluttering snowflake effect
  • The Snow_Crystal_Particle particle changes to a snow flake (particle)
  • The Snow_Crystal_Glow_Particle particle changes to a glimmering snowflake effect (child particle)
  • The Snow_Crystal_Shine_Particle particle changes to snow crystal dust (child particle)

Inheriting the Parent's Velocity as Initial Velocity

You can express effects such as making snowflakes glimmer faintly by making them move along the same trajectory as the parent snowflake that emitted them.

Inheritance OFF

Open a Property window for the Snow_Crystal_Glow_Particle and set Inherit the parent's speed (as a child) to OFF.

Because Snow_Crystal_Glow_Particle children do not inherit their velocity from their emitter, Snow_Crystal_Particle, they remain motionless and disappear according to their lifespan.

Confirming that inheritance is OFF

Select the Snow_Crystal_Effect effect and press F5 to transfer data to the Viewer.

Check that Snow_Crystal_Glow_Particle children remain motionless by moving the Viewer camera upward.

Inheritance ON

Return the Inherit the parent's speed (as a child) setting made for Snow_Crystal_Glow_Particle to ON.

With this setting, Snow_Crystal_Glow_Particle follows the exact same trajectory as its emitter, Snow_Crystal_Particle, by taking the velocity inherited at the point of emission from Snow_Crystal_Particle as its own initial velocity.

Confirming that inheritance is ON

Check for variations on the Viewer.

Snow_Crystal_Glow_Particle is made to follow the same trajectory as Snow_Crystal_Particle.

Applying a random variation to the inherited velocity.

Here, we make the emitted particles fall along with the snowflakes, which gradually slow and fall apart into snow crystal dust due to air resistance.

Confirm the Configuration

Open a Property window for the Snow_Crystal_Shine_Particle and check that Inherit the parent's speed (as a child) is set to ON.

Acceleration settings

Random variations can be applied to the inherited velocity.

Because you check variations on the Viewer, change to a setting where random variations are not applied to the velocity inherited as the initial velocity.

Open a Property window for Snow_Crystal_Shine_Particle and change the value for Acceleration for Field under Particle to 1.0.

This setting represents multiplying the rate of acceleration by one, so there is no variation being applied to the velocity.

Select the Snow_Crystal_Effect effect and press F5 to transfer data to the Viewer.

Checking for variations in velocity

You can check for variations in the velocity inherited as initial velocity by changing the value being used from 1.0 to about 0.90 using the acceleration slider.

More natural motion can be obtained as follows by applying a random variation to the velocity of the snowflake dust particles, Snow_Crystal_Shine_Particle, emitted from the snowflakes.


Linking 3D Models and Effects

In this tutorial, we describe the procedure for using 3D Link to link models and effects exported from 3DEditor.

3D Link is a feature that generates an effect at the specified time and place in a 3D model.

An effect can be created while checking its current state in the Viewer.

The basic procedure is given below.

  • Preparing to Use 3D Link
  • Creating New Links
  • Editing Links
  • Checking Link Status

Preparing to Use 3D Link

Preparing a 3D model

To link with a 3D model, you must first transfer the model from 3DEditor to the Viewer.

The 3D model used in this tutorial is located in the folder given below.

Load all files in this folder into 3DEditor.

" SampleData/Effect/Intermediate/ManualResource/Model_Link/3DEditor_Data "

For information on using 3DEditor, see the 3DEditor manual.

For details on using the Viewer, see the Viewer manual.

Creating a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Loading effects

On the main menu, select File > Open, and load all effect data and texture data located in the Model Link folder.

Brief comments on each effect are given below.

  • Change Model_Link_Fire_Effect to flame from a rocket
  • Model_Link_Line_Effect effect→Rocket movement effect line
  • Model_Link_Smoke_Effect effect→Smoke from rocket

Creating New Links

You can create link data inside the Project window.

New links can be created in the following ways.

  • Press Add a new link on the Project window tool bar to open a dialog for creating a new link.

Without changing the link name, just press OK to create link data on the Project window.

Editing Links

You can display a 3D Link window where you can set parameters.

Displaying the 3D Link window

The 3D Link window can be displayed in three ways.

  • Double-click the link to be edited.
  • Select the link to be edited and press Properties window on the main window toolbar.
  • Select the link to be edited and press Ctrl+P.

The following is an image of the 3D Link window.

Getting 3DEditor information

Press Get information from Viewer to get 3D model information exported from 3DEditor from the Viewer.

Hereafter, this is the Get information from Viewer button.

Get information from Viewer button

Selecting the link model

Select the 3D model to be linked based on information obtained from the Viewer.

Select Model_Link from Select Target Model.

Editing lists

Set Node Name, Effect Name, Create and Follow for the list as follows.

List Settings
Node Names | Effect Name | Start/Continue | Follow (S/R/T)
Rocket | Model_Link_Line_Effect | 10 / 75 | OFF / ON / ON
RocketNozzle | Model_Link_Fire_Effect | 10 / 90 | OFF / OFF / ON
RocketNozzle | Model_Link_Smoke_Effect | 100 / 170 | OFF / OFF / ON
Selecting the node to link
Select one node for emitting an effect per line From the Node Name column.
Selecting Effects
Select the effect to be emitted from the selected node from the Effect Name column.
Particles under the selected effect can be grouped together and influenced by the node.
Specifying emission timing
Effect emission timing is specified in the Create column.
Start specifies the time to start emitting an effect from a specified node.
Continue specifies the time to stop emitting an effect from a specified node.
Follow node settings
You can specify whether an effect is separately being influenced by the scale, rotation, or translation of a node.

If there is more than one particle under a single effect, set Follow effect to either ON or OFF for all of them. Effects will not be correctly linked if this setting differs.

For details on the Follow effect setting, click here.

Checking Link Status

You can check the link status by transferring edit results to the Viewer.

You can transfer data to the Viewer using any of the following three methods.

  • On the 3D Link window menu, select Preview > 3D Link preview.
  • Press 3D Link preview on the toolbar.
  • Use the F5 shortcut key.

From this point on, the 3D model and effect are linked.

Always put the main mode display in Effect mode first before checking the status with the Viewer.

Controlling the viewer playback range

Use the viewer controls to specify the playback range of the animation using the Viewer.

The following methods are used to display Viewer Controls.

  • On the main window menu, select Tools > Viewer Controls.

Be sure to set Viewer Controls as follows.

With these settings, the animation can be made to repeat on the Viewer from Frame 0 to Frame 270.

  • Viewer playback range ON
  • Start 0
  • End 270


Loading Materials

In this tutorial, we describe how to load material configuration files exported from NW4C CreativeStudio or 3DEditor.

We also describe how to load material animation files.

For details on how to export material configuration files and material animation files, see the manuals for each separate tool.

  • Preparing to load material configuration files
  • Loading c3mt Files
  • Loading c3mt Files
  • Loading cmata Files

Preparing to load material configuration files

Here, we prepare the material configuration file and effect to be loaded.

Verify the Effect file

The Effect file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Material_File/Material_File_Effect.cptl "

Verify the Material Settings files

The NW4C CreativeStudio Material Settings file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Material_File/Material_File_Material.cmat "

The 3DEditor Material Settings file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Material_File/Material_File_Material.c3mt "

The sample files all use Constant Color 0 and Constant Color 1 and the materials settings are the same.

Verify the Material Animation file

The Material Animation file used in this tutorial is located in the folder given below.

" SampleData/Effect/Intermediate/ManualResource/Material_File/Material_File.cmata "

This sample file animates the colors Constant Color 0 and Constant Color.

Create a new project

On the main menu, select File > New > Project to open a dialog box for creating new projects.

Without changing the project name, just press OK.

Load effect

Select Material_File.cptl_Effect.cptl from the Material_File folder and drag & drop it inside the window for the created project.

Select the effect Material_File and press F5 to transfer it to the Viewer.

Confirm that a colorless, white ball of flame displays in the Viewer.

Loading c3mt Files

EffectMaker can use NW4C CreativeStudio material expressions as-is by loading the NW4C CreativeStudio cmat Material Settings file.

Open the Property Window for Material_File_Particle and select Material from the properties. The following methods are available for loading cmat files:

  • Press the Material configuration file import button, select the file and then press Open.
  • Select the file you want to load and then drag & drop it into the Property Window.

Below shows the state when Material_File_Material.cmat has been loaded.

Result of loading cmat file

To perform the next check, press Ctrl+Z to restore the settings to what they were before you imported the cmat file.

Loading c3mt Files

The work with EffectMaker can be made more efficient by selecting material settings that are frequently used for the creation of effects.

By loading the 3DEditor c3mt Material Settings file into EffectMaker, you can express the kinds of detailed material settings that you cannot configure with EffectMaker alone.

c3mt files are loaded the same ways as cmat files. If there are comments in the c3mt file, that information is shown in the Property Window.

Load Material_File_Material.c3mt and check it in the Viewer.

Loading cmata Files

EffectMaker can load cmata Material Animation files that were created and exported from NW4C CreativeStudio and 3DEditor.

cmata files are loaded the same ways as cmat files.

Below shows the state when Material_File_Material.cmata has been loaded and the color has been animated and changed.

Result of loading <CODE>cmata</CODE> file


User Interface

  • Main Window
  • Project Window
  • Properties
  • Animation
  • 3D Link
  • Menus
  • Toolbars
  • Shortcuts


Main Window

  1. Title Bar
    Displays the file path of the selected file. If a file was changed and not saved, an asterisk (*) is added to the displayed filename.
  2. Menu
    Used to call various features.
  3. Tool Bar
    Allows you to run certain menu commands with buttons.
  4. Docking Area。
    A Project Window can be docked to this area for display.
    Multiple Project Windows can be docked and detached as tags.
  5. Message View
    Specific error and warning messages are output to this view.
  6. Status Bar
    Displays a description of each menu item and file I/O status.


Project Window

This page describes the Project Window.

Project Window
Copying and Pasting Effects

Project Window

  1. Project tab
    projects tags are displayed for each Project Window each project window in the docking area of the standard main window.
    The Project Window can be detached from the Main Window by dragging this tab.
  2. Toolbar
    Buttons on the toolbar can be used to execute functions of the Project Window.
    The button types are described below.
    Descriptions of Project Window Buttons
    Icon | Name | Description
    Open | Opens effect or texture files.
    Add folder | Not supported.
    Add effect | Adds a new effect.
    Add particle | Adds a particle to an effect.
    Add child particle | Adds a child particle to a particle.
    Add texture | Adds a new texture.
    Delete | Deletes selected nodes.
    Add 3D link node | Adds nodes for previewing using 3D link.
  3. Project panel
    Displays various content included in a given project.
    Project Panel Description
    Name | Description
    Status Unsupported: Uses icons to indicate various content references, binary conversion, and lock status.
    Entry Name | Various content included in the project is displayed in a tree structure.
    Last Updated By | Displays the person who updated various content.
    Last Modified | Displays the date/time when various content was modified.
    Comments | Displays comments.
    Work memory | Displays the required work memory size.

Copying and Pasting Effects

Copying Effects
Pasting Effects
Copying Particle Sets
Pasting Particle Sets
Copying Child Particles
Pasting Child Particles

You can copy and past effect nodes on the Project Window.

Copying Effects

Here, we copy on top of an effect node.
You can copy by selecting Copy from the context menu displayed by right clicking or by using Ctrl+C.

Pasting Effects

Here, we paste the effect onto a project node.
Effects can be pasted to effect nodes or particle set nodes. Child nodes cannot be pasted. You can paste a copied effect by selecting Paste from the context menu displayed by right clicking or by using CTRL+V.

Copying Particle Sets

Here, we copy a particle set node.
You can copy by selecting Copy from the context menu displayed by right clicking or by using Ctrl+C.

Pasting Particle Sets

Here, we paste the particle set onto an effect node.
Particle set nodes are the target. Child nodes cannot be pasted. You can paste a copied effect by selecting Paste from the context menu displayed by right clicking or by using CTRL+V.

Copying Child Particles

Here, we copy a child particle. Only a single child particle is the target.
You can copy by selecting Copy from the context menu displayed by right clicking or by using Ctrl+C.

Pasting Child Particles

Here we paste onto a child particle node or a particle set node.
Only one child node is pasted. Children are not pasted.
You can paste a copied effect by selecting Paste from the context menu displayed by right clicking or by using CTRL+V.


Properties

The properties of the selected object are displayed in the Property Window.
This window is used for editing the properties.

The information displayed in the Property Window will vary, depending on the kind of object that has been selected.

  • Effect
  • Emitter
  • Particles
  • Material
  • Child particles

Property Window

  1. Fixes the target object.
    When the target object is fixed, the target object does not change even if the selected object changes.
  2. Displays the name of the object that is the property setting target.
    When multiple objects are selected, the names of objects in focus and the number of selected objects of the same type are displayed.
  3. Displays property items of the target object.
    When a property item is selected, the details of the selected item are displayed on the right side of the dialog box.
    The composition of the property items will depend on the target object's type.
  4. Copies the settings of the selected property item.
    If the property item has child items, all settings are copied, including the child items.
    Select the root directory to copy all settings of the object.
  5. Pastes the copied properties.
    To paste, same items as the copied property items must be selected.

  6. Sets the task comment for the target object.
    The same text appears here as displayed for comments in the Project Window.

    The task comments are saved in the project file, but are not reflected in the binary resource.
    Use the comment field to make explanatory remarks about objects when working with 3DEditor.

  7. Displays property windows having the same target object in another window.
    There are no restrictions on the number of windows that can be displayed.

    Using this feature, the following operations are possible.

    • Displaying properties for several objects at once.
    • Displaying different property items of the same object at once.
  8. Displays details of the selected property item.
    Properties are edited in this view.


Effect

Here, you can set effect information.

Positioning
User Data

Dialog Window

  1. File name
    This name is updated if the corresponding project name displayed on the Project Window is changed.
  2. File path
    Displays the path to the directory in which the corresponding effect files are located.


Positioning

Here, you can set positioning information used as the basis for displaying effects.
Emitters also follow this positioning information when made to follow an effect.
This is the same even if particle sets and child particle sets are not placed in world coordinates.

  1. Sets the scale of the effect.
  2. Sets the rotation of the effect.
  3. Sets the position of the effect.


User Data

User Data Properties

Configures the user data settings.

User Data Properties

  1. User-data items currently selected in the list box can be moved up and down in the list.
  2. Adds new user data.
  3. Deletes user data items currently selected in the list box.

  4. Displays the user data list.
    Information about the user data items selected here is displayed in the group box to the right.

  5. Registers the user data currently being edited in the list.
  6. Sets the type of value.
  7. Changes the name of the value.
  8. Edit value contents here. Take care to enter one value per row.


Emitter

Here, you can set detailed emission information for emitters.
Positioning
Emission

Overall Emitter Emission

  1. Sets whether an effect should follow an emitter.
  2. Sets whether to copy resources for the emission.
  3. Sets whether to copy resources for the shape.


Emitters: Placement

Here, you can set detailed placement information for displaying emitters.

User Data Properties

  1. Sets the XYZ scale values for the size of the emitter.
    Revision to one location can be applied to the remaining two locations by selecting the link radio buttons to the right to enable simultaneous editing.

  2. Rotates the emitter.
  3. Translates the emitter.


Emitters: Emission

Here, you can set detailed emission information for emitters.
Emission

Emitter Emission

Emission

  1. Sets the emission volume.
  2. Sets the percentage of randomness to apply to the emission volume.

  3. Sets the emission interval for each cycle.
    Enter the frame number to start emission here.

  4. Sets the percentage of randomness to apply to the emission interval.
  5. Sets the type of emitter shape.
  6. Sets the emission time.
  7. Sets whether emission time is infinite.
  8. Sets the emission start time.


Emitters: Emission

Emitter shape

Here, you can set detailed emitter shape information.
Disc
Sphere
Cylinder
Rectangle
Cube

Disc

Disc emitter shape

  1. Sets the size of the disc in the X-direction.
  2. Sets the size of the disc in the Z-direction.

  3. The disc shaped emitter can be hollowed out by the percentage amount entered here.

  4. Saves entered data.
  5. Saves entered data.
  6. Saves entered data.
  7. Saves entered data.
  8. Saves entered data.

Sphere

Sphere Emitter Shape

  1. Sets the size of the sphere in each of the X-, Y-, and Z-directions.

  2. The sphere shaped emitter can be hollowed out by the percentage amount entered here.

  3. Saves entered data.
  4. Saves entered data.
  5. Saves entered data.
  6. Saves entered data.
  7. Saves entered data.

Cylinder

Cylinder emitter shape

  1. Sets the size of the cylinder in each of the X-, Y-, and Z-directions.

  2. The cylinder shaped emitter can be hollowed out by the percentage amount entered here.

  3. Saves entered data.
  4. Saves entered data.
  5. Saves entered data.
  6. Saves entered data.
  7. Saves entered data.

Rectangle

Rectanble emitter shape

  1. Sets the size of the rectangle in the X-direction.
  2. Sets the size of the rectangle in the Z-direction.

  3. The rectangle shaped emitter can be hollowed out by the percentage amount entered here.

  4. Saves entered data.

Cube

Cube emitter shape

  1. Sets the size of the cube in each of the X-, Y-, and Z-directions.

  2. The cube shaped emitter can be hollowed out by the percentage amount entered here.

  3. Saves entered data.


Particles

Here, you can set particle information.
Particle shape
Lifespan
Scale
Rotation
Position
Initial velocity
Field
Color
Alpha
Texture 0

All particles

  1. Sets whether to place in the world coordinate system.
  2. Sets whether children should inherit velocity from their parents.
  3. Displays the current number of particles.
  4. Sets whether to use automatic calculation using a checkbox. Re-calculation is made by pressing the button.
  5. Sets whether to enable the user updater.
  6. Sets updater parameters.
  7. Sets operation priority.


Particle Shape

Here, you can set detailed emitter shape information.

  1. Sets the type of particle shape.
  2. Sets whether to render in order of creation.
  3. Uses a matrix to set the x-y coordinates for the offset from the particle SRT center.
  4. Sets the x-y coordinates for the offset from the particle SRT center.


Lifetime

You can set detailed particle lifespan information for a particle.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.

  3. Sets minimum and maximum values for the lifespan.
    The particle lifespan will lie between these minimum and maximum values.


Scale

Here, you can set detailed scale animation information.
Detailed Scale Information

  1. Sets how scale animations are displayed.
    2. For details on making settings, see
    Detailed Scale Information.


Scale Animations

You can set detailed information for varying the scale of particles.

This page describes the following features.
Initialization
Key Animation on the initial value(s)
Key Animations
Additive Animations
Key Animations

Default

Scale Initial Values

  1. This panel appears when Default has been selected in the Animation combo box.

  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.

  4. Sets the standard value. Revision to one location can be applied to the remaining two locations by selecting the link radio buttons to the right to enable simultaneous editing.

  5. Sets the amplitude value using the mouse.
  6. Sets the amplitude value.

Key animation on the initial values

Key animation on the initial values

    This panel appears when Key animation on the initial value(s) has been selected in the Animation combo box.
  1. This panel is the same as the Default panel described above.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.

  4. Sets defaults.
    Revision to one location can be applied to the remaining two locations by selecting the link radio buttons to the right to enable simultaneous editing.

  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.

Key Animations

Key animation on the initial values

    This panel appears when Key Animation has been selected in the Animation combo box. This panel is the same as the Overwrite previous value panel described above.

Additive Animation

Scale Additive Animation

    This panel appears when Additive Animation has been selected in the Animation combo box.
  1. This panel is the same as the Default panel described above.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.

  4. Sets defaults.
    Revision to one location can be applied to the remaining two locations by selecting the link radio buttons to the right to enable simultaneous editing.

  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.

In/Out Animation

Key animation on the initial values

    This panel appears when In/out animation has been selected in the Animation combo box. This panel is the same as the In/out animation panel described above.


Rotation

Here, you can set detailed rotation animation information.
Detailed Rotation Information

  1. Sets how rotation animations are displayed.
    2. For details on making settings, see
    Detailed Rotation Information.


Rotation Animations

You can set detailed information for varying the rotation of particles.

This page describes the following features.
Defaults
Additive animation
Directional

Default

Default rotation values

  1. This panel appears when Default has been selected in the Animation combo box.

  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the standard value.
  5. Sets the amplitude.

    6. Additive Animation

    Default rotation values

    1. This panel is the same as the Default panel described above.
    2. Sets whether to enable settings made on this panel.
    3. Sets whether to copy resources.

    4. Sets defaults.
      Revision to one location can be applied to the remaining two locations by selecting the link radio buttons to the right to enable simultaneous editing.

    5. Sets the sync type for playback options.

    6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

    7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.

    Directional

    1. Sets whether to enable settings made on this panel.
    2. Sets the standard directional.


Position

Here, you can set detailed information about the position.
Detailed Position Information

  1. Selects items to be added to the list box.
  2. Adds selected items to the list box.
  3. Selects the items whose values you want to edit from among those added.

  4. Deletes the item currently being edited.
    This operation removes the associated setting from the list box as well.

    5. For details on making settings, see Detailed Position Information.


Detailed Position Information

You can set detailed information for varying the rotation of particles.

This page describes the following features.
Add in specified direction
Spin
Randomness (position)

Add in specified direction

Add in specified direction

    You can edit the value used for Add in specified direction on this panel.

  1. Deletes this initialization panel.

    This operation removes the Add in specified direction setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the value to add in the specified direction.
  5. Sets the added velocity.

    6. Spin

      You can edit the value used for Spin on this panel.

    1. Deletes this initialization panel.

      This operation removes the Spin setting from the list box as well.
    2. Sets whether to enable settings made on this panel.
    3. Sets whether to copy resources.
    4. Sets the center point for the spin.
    5. Sets the angle in degrees.

      6. Random (position)

        You can edit the value used for Randomness (position) on this panel.

      1. Deletes this initialization panel.

        This operation removes the Randomness (position) setting from the list box as well.
      2. Sets whether to enable settings made on this panel.
      3. Sets whether to copy resources.
      4. Sets the random position.
      5. Sets the frame interval.

        6. CONFIDENTIAL


Initial Velocity

Here, you can set detailed information about initial velocity.
Initial Velocity Information

  1. Selects items to be added to the list box.
  2. Adds selected items to the list box.
  3. Selects the items whose values you want to edit from among those added.

  4. Deletes the item currently being edited.
    This operation removes the associated setting from the list box as well.

  5. Sets whether to apply randomness to results when using values set on this initial velocity panel.

    6. For details on making settings, see Detailed Initial Velocity Information.


Initial Velocity Information

You can set detailed initial velocity information for a particle.

This page describes the following features.
Spread out from y-axis
Spread out from origin
Random direction
Specified direction
Specified random direction
Randomize results

Spread out from y-axis

Spread out from y-axis

  1. Deletes this initialization panel.

    This operation removes the Spread out from y-axis setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets dispersion velocity.

Spread Out from Origin

Spread Out from Origin

    You can edit the value used for Spread out from origin on this panel.

  1. Deletes this Spread out from origin panel.

    This operation removes the Spread out from origin setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets dispersion velocity.

Random Direction

    You can edit the value used for Random direction on this panel.

  1. Deletes this Random direction panel.

    This operation removes the Random direction setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the velocity in the random direction.

Specified Direction

    You can edit the value used for Specified direction on this panel.

  1. Deletes this Specified direction panel.

    This operation removes the Specified direction setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the vector in the specified direction.
  5. Sets the velocity in the specified direction.

Specified Random Direction

Specified Random Direction

    You can edit the value used for Specified random direction on this panel.

  1. Deletes this Specified random direction panel.

    This operation removes the Specified random direction setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets a vector in the Specified random direction.
  5. Sets the velocity in the Specified random direction.
  6. Sets how much randomness to apply to the direction within a certain angular range.

Randomize Results

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the Amplitude ratio to use for randomization.


Field

Here, you can set detailed information about the field.
Detailed Field Information

  1. Selects items to be added to the list box.
  2. Adds selected items to the list box.
  3. Selects the items whose values you want to edit from among those added.

  4. Deletes the item currently being edited.
    This operation removes the associated setting from the list box as well.

    5. For details on making settings, see Detailed Field Information.


Detailed Field Information

You can set detailed field information for particles.

This page describes the following features.
Acceleration
Gravity
Randomness (velocity)

Acceleration

    You can edit the value used for Acceleration on this panel.

  1. Deletes this Acceleration panel.

    This operation removes the Acceleration setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the multiplication factor to use with acceleration.

Gravity

    You can edit the value used for Gravity on this panel.

  1. Deletes this Gravity panel.

    This operation removes the Gravity setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets a vector in the direction of gravity.
  5. Sets the velocity to use with gravity.

Randomness (velocity)

    You can edit the value used for Randomness (velocity) on this panel.

  1. Deletes this Randomness (velocity) panel.

    This operation removes the Randomness (velocity) setting from the list box as well.
  2. Sets whether to enable settings made on this panel.
  3. Sets whether to copy resources.
  4. Sets the initial position.
  5. Sets the frame interval.


Color

Here, you can set detailed information about the color.
Detailed Color Information

  1. Sets the animation method.
    The following input items vary depending on this setting.

  2. Sets whether to optimize.
    3. For details on making settings, see Detailed Color Information.


Detailed Color Information

You can set detailed color information for particles.

This page describes the following features.
Do not animate
Overwrite previous value
In/out animation

Do not animate

Do not animate

    You can edit the value used for Do not animate on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the default values for the color.

Overwrite previous value

Overwrite previous value

    You can edit the value used for Overwrite previous value on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the default value.
  4. Sets the sync type for playback options.

  5. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  6. Sets whether to use a random offset when Specify frame count is selected for Playback options.

In/Out Animation

    You can edit the value used for In/out animation on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.

  3. Sets the intermediate start value, indicating the time at which the default color should start changing into the intermediate color, and the intermediate end value, indicating the time at which the intermediate color should start changing into the end color.

  4. 当該パーティクルが生成される時、最初に持つ初期色を決めます。

  5. Sets the intermediate color to adopt in the middle.

  6. Sets the end color used at the time the particle in question expires.


Alpha

Here, you can set detailed information for the alpha.
Detailed Alpha Information

  1. Sets the animation method.
    The following input items vary depending on this setting.

    2. For details on making settings, see Detailed Alpha Information.


Detailed Alpha Information

You can set detailed alpha information for particles.
This page describes the following features.
Do not animate
Overwrite previous value
In/out animation

Do not animate

Do not animate

    You can edit the value used for Do not animate on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Shows the amplitude ratio (%) value in a graph.
  4. Sets the standard value.
  5. Sets the amplitude (%).

Overwrite previous value

Overwrite previous value

    You can edit the value used for Overwrite previous value on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the default value.
  4. Sets the sync type for playback options.

  5. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  6. Sets whether to use a random offset when Specify frame count is selected for Playback Options.

In/Out Animation

    You can edit the value used for In/out animation on this panel.
  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.

  3. Sets the default value. This multiplication factor is used for the alpha of the particle at time of generation. This value can be adjusted only upward or downward. Time settings on the horizontal axis cannot be made.

  4. The intermediate start value.
    The alpha value of the particle is maintained as-is from this point.
    Time settings for the horizontal axis can also be set.

  5. The intermediate end value.
    The alpha value of the particle is maintained as-is from this point.
    Time settings for the horizontal axis can also be set.

  6. Sets the end value. This multiplication factor is used for the alpha of the particle at time of expiration. This value can be adjusted only upward or downward. Time settings on the horizontal axis cannot be made.

  7. Sets the intermediate start time.
  8. Sets the intermediate end time.


Textures

Here, you can sets texture information.
Vertex UV Scaling
Vertex UV Rotation
Vertex UV Translation


Vertex UV scaling

Here, you can set detailed vertex UV scale animation information.
Detailed Vertex UV Scaling Information

Vertex UV scaling

  1. Sets the way in which vertex UV scale animations are displayed.
    2. For details on making settings, see Detailed Vertex UV Scale Information.


Vertex UV Scaling

Detailed Vertex UV Scaling Information

You can set detailed information for varying the UV scaling of particles.

This page describes the following features.
Animations
Overwrite previous value

Animations

Default values for vertex UV scaling

    This panel appears when Do not animate has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.

  3. Sets the x and y values for UV scaling.
    Revision to one location can be applied to the remaining locations by selecting the link radio buttons to the right to enable simultaneous editing.

Overwrite previous value

Overwrite previous value

    This panel appears when Overwrite previous value has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.

  3. Sets defaults.
    Revision to one location can be applied to the remaining locations by selecting the link radio buttons to the right to enable simultaneous editing.

  4. Opens Curve Editor
  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.


Vertex UV rotation

Here, you can set detailed vertex UV rotation animation information.
Detailed Vertex UV Rotation Information

Vertex UV rotation

  1. Sets the way in which vertex UV rotation animations are displayed.
    2. For details on making settings, see Detailed Vertex UV Rotation Information.


Vertex UV rotation

Detailed Vertex UV Rotation Information

You can set detailed information for varying the vertex UV rotation of particles.

This page describes the following features.
Animations
Overwrite previous value

Animations

Vertex UV rotation animations

    This panel appears when Do not animate has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the standard value for vertex UV rotation.

Overwrite previous value

Overwrite previous value

    This panel appears when Overwrite previous value has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the default.
  4. Opens Curve Editor
  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.


Vertex UV Translation

Here, you can set detailed vertex UV translation animation information.
Detailed Vertex UV Translation

Vertex UV translation

  1. Sets the way in which vertex UV translation animations are displayed.
    2. For details on making settings, see Detailed Vertex UV Translation Information.


Vertex UV translation

Detailed Vertex UV Translation Information

You can set detailed information for varying the UV translation of particles.

This page describes the following features.
Animations
Texture pattern
Overwrite previous value

Animations

Vertex UV Translation default values

    This panel appears when Do not animate has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the x and y values for UV translation.

Texture Patterns

    This panel appears when Overwrite previous value has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the texture pattern.

  4. Sets the playback order.
    Enter a range of consecutive texture numbers of the form "1-3".
    Or, enter texture numbers one at a time in the form "1,3".

  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.

Overwrite previous value

Overwrite previous value

    This panel appears when Overwrite previous value has been selected in the Animation combo box.

  1. Sets whether to enable settings made on this panel.
  2. Sets whether to copy resources.
  3. Sets the default value.
  4. Opens Curve Editor
  5. Sets the sync type for playback options.

  6. Sets the number of frames per loop cycle when Specify frame count is selected for Playback Options.

  7. Sets whether to use a random offset when Specify frame count is selected for Playback Options.


Material

Here, you can set detailed information for materials.

  1. Imports a CMAT format file.
  2. Opens Curve Editor.
  3. Files can be imported by dropping them here.
  4. Leave any comments here.


Blender

Here, you can set detailed information for the blender.

  1. Sets the type of blender preset.
  2. Sets the rendering layer.
  3. Sets whether to use fog.


Texture mappers

Here, you can set detailed information for the texture mapper.

  1. Sets the textures to be displayed on this panel.
  2. Sets repeat in the U-direction.
  3. Sets repeat in the V-direction.
  4. Sets whether to use a mipmap.
  5. Sets the minimum LOD level.
  6. Sets the LOD bias.


Combiner

Here, you can set detailed information for the combiner.

  1. Sets the type of combiner color preset.
  2. Sets the direction for two-color interpolation.
  3. Sets the color and alpha values for Constant Color 0.
  4. Sets the type of combiner alpha preset.


Color

Here, you can set detailed information for material color.

  1. Sets emission color.
  2. Sets ambient color.
  3. Sets diffuse color and alpha.


Child Particles

Here, you can set detailed information about child particles.

  1. Sets whether to enable values set on this panel.
  2. Sets whether to copy resources.
  3. Sets the time at which children are to be emitted.

  4. Timing is specified by specifying an emission start and end time.
    Specifications made here are based on a percentage of the particle lifespan.

  5. Timing is specified by specifying an emission start and end time.
    These values are specified in terms of number of frames.

  6. Sets the emitter.
    This panel can be operated using the same setting method as used with the particle emitter panel.


Animation

Here, you can set animation information.
Curve Editor


Curve Editor

Use the Curve Editor panel when you want to make changes to values within fine time intervals. Curve Editor Details
Shortcut Keys for the Curve Editor

For details on making settings, see Curve Editor Details.


Curve Editor Details

This page shows how to use Curve Editor in detail.

This page describes the following features.

Key Control
Slope Control
Snap Control
Copying and Pasting Curves
Copying and Pasting Curve Nodes
Paste Option

Key Control

    This feature is used to adjust any key on the curve.

  1. Display just the items that the curve possesses.

  2. Accurately determine the location to place a key by numeric value.
    Sets the number of frames (horizontal) and aspect ratio (vertical).

  3. Determines whether clicking on the screen adds a key or selects keys and curves.
    When depressed, keys can be added, when restored to original status, keys can be selected.

  4. Convert key to hermite.
    Draws the curve is in a smooth shape.

  5. Convert key to linear.
    Draws the curve by connecting each key with straight lines.

  6. Convert key to step.
    Draws the curve by connecting each key with steps.

  7. Convert key to flat.

Slope control

    This feature is used to adjust the slope of any key on the curve.

  1. Adjust the left and right slopes using precise values for both.
    Making this setting causes items not possessed by the curve to no lonber be displayed on the item tree.

  2. Links slopes.
    Takes the broken slope and flattens it.

  3. Splits into connected slopes.
    Splits into left and right slopes which can each be independently adjusted.

Snap Control

    This feature is used to adjust the slope of any key on the curve.

  1. Sets the snap for horizontal direction. The unit is frames.
  2. Sets the snap for vertical direction. The unit is the value itself.

Copying and Pasting Curves

Copy and Paste

    This setting is related to copying and pasting on Curve Editor.
    You can also perform copy and paste using a short cut.
  1. Copies the selected keys and curves.

  2. Pastes the copied curve. Press the button to the side, opens the Paste Options dialog box.

  3. Opens the Paste Options dialog box.
    The copied curve can be pasted to another curve node.

Copying and Pasting Curve Nodes

    After you have selected a curve node from the Curve tree, you can copy and paste it using a short cut.

    Select a curve node and copy it by pressing Ctrl+C.
    Copying Curve Nodes

    Select a curve node and paste to it by pressing Ctrl+V.
    If there is already a curve present, it will be overwritten by the pasted curve.
    Pasting Curve Nodes

Paste Options

    The method used for pasting curves is set on the Paste Options dialog.
    This dialog appears when the Paste button is pressed on the Curve Editor window.

  1. Items existing on the source curve are connected by lines to items on the target curve.

  2. Specifies the paste method.
    There are three paste methods: Insert, Replace, and Merge.

  3. Sets the value's offset.
    There are two types of offset: Target curve and Copy.

  4. Sets whether to use the same frame as the copy source.
  5. Sets whether to use the same length as the copy source.

  6. Sets the frame offset.
    This input is activated when Use the source frame is unselected.

  7. Sets the end frame.
    This input is activated when Use the source length is unselected.


Shortcut Keys for the Curve Editor

Graph view

Key | Corresponding Menu Item
S | Adds a key to the selected curve.
A | Adjusts the graph view so all keys are displayed.
F | Adjusts the graph view so selected keys are displayed.
E | Adjusts the graph view so the horizontal axis in the range -1 to 1 and the vertical axis in the range 0 to 1 are displayed.
Q | Adjusts the graph view so the horizontal axis in the range 0 to 100 and the vertical axis in the range 0 to 1 are displayed.
R | Adjusts the graph view so the horizontal axis in the range 0 to 100 and the vertical axis in the range 0 to 20 are displayed.
W | Adjusts the graph view so the horizontal axis and vertical axis in the range 0 to 1 are displayed.
T | Adjusts the graph view so the horizontal axis in the range 0 to 100 and the vertical axis in the range 0 to 360 are displayed.
Ctrl+C | Copies the selected curve.
Ctrl+V | Pastes the copied curve. If you are displaying multiple curves, the Past Options dialog will appear.

Curve Tree

Key | Corresponding Menu Item
Ctrl+C | Copies the selected curve node.
Ctrl+V | Pastes the copied curve node.

Mouse Operation

Key | Corresponding Menu Item
Mouse left drag | Selects a key (curve or handle).
Mouse middle drag | Moves the selected key or handle.
Mouse wheel | Enlarges or reduces the graph view.
Alt key + Mouse middle drag | Moves the graph view.


Other Windows

3D Link

  • 3D Link Window


3D Link Window

This window is used to perform operations for displaying objects and effects controlled using 3DEditor together at the same time.

3D Link Window

  1. Gets information about the target model for EffectMaker from the Viewer.
  2. Selects the target model.
  3. Buttons for adding rows to or deleted rows from the link information table below.
  4. Buttons for moving selected rows in the link information table up and down.
  5. Sets whether to link.
  6. Sets which node of the target model the effect should be linked to.
  7. Sets the effect to be linked.
  8. Sets the number of frames at which to start generation.
  9. Sets whether generation is continuous.
  10. Sets the S, R, and T follow.
  11. Sets the scale value.
  12. Sets whether to link scale XYZ values.
  13. Sets the angle of rotation.
  14. Sets the distance to move.
  15. Used to enter comments.


Other Windows

  • Slider Window
  • Color Slider
  • Color Picker Dialog Box
  • Window for Displaying Image Details
  • Viewer control window


Slider Window

This lets you edit values in an analog fashion using a slider bar.

  1. Directly sets a value.
  2. Press the button for pop-up display of the Slider Window.
    To close the window, press the button again or click anywhere outside of the Slider Window.
  3. The value is restored to what it was when the Slider Window was displayed.
    The same operation can be performed using the R key.
  4. Reduces the range of settings by one level (i.e., x 0.1)
    This operation is only available when editing values that have a variable setting range.
    The same operation can be performed using the minus (-) key.
  5. Enlarges the range of settings by one level (i.e., x 10)
    This operation is only available when editing values that have a variable setting range.

    The same operation can be performed using the plus (+) key.
  6. Changes the value using the slider bar.
    Point the mouse cursor to a place on the slider to display the value at the position in the tooltip.


Color Slider

This is a shared UI for color editing.
Depending on the item to be configured, in some cases this can be used only to set the RGB components or only to set the A component.

  1. Indicates the current color.
    Click on this to display the Color Picker dialog box.
    The color copy-and-paste operation in the right-click menu only works between color sliders.
  2. Sets the value for each component.
    The slider's background color shows the color that results from the slider knob being set at that position.
    All RGB components can be changed at once by dragging the slider with the middle mouse button (or SHIFT + LEFT ARROW).


Color Picker Dialog Box

Dialog box for editing colors.

Color Picker Dialog Box

  1. Indicates the current color.
  2. Saves the current color in the color palette selection region.
    The alpha component is not stored.
  3. Clicking sets the color in the color palette to the current color.
    Right-clicking changes the color palette selection region.
  4. Changes the color's hue (Hue).
  5. Changes the color's saturation (Saturation) and brightness (Value).
  6. The display formats for each component can be either RGB or HSV.
    Values resulting from settings will not change for different display formats.
  7. The values for each component's display format can be shown as integers (in a range from 0 to 255) or decimal values (in a range from 0.0 to 1.0). This is only valid when the selected display format for each component is RGB.
    Values resulting from settings will not change for different display formats.
  8. Changes the color components.
    If the color that is the target for editing has only RGB components, the numerical box and the bar for setting the alpha component will not be displayed.


Window for Displaying Image Details

This window is used to display the details of a texture or palette image.
For textures that include mipmaps, it is also possible to display an image of the mipmap portion.

  • Mouse Operations in the Image Area
  • Shortcut Keys

Window for Displaying Image Details

  1. Displays the current view magnification level. This can also be set directly. Pressing the button on the right allows you to select from multiple magnification ratios.
  2. Reduces and enlarges the view magnification.
  3. Switches between displays of each component of the image (RGB, R, G, B, A).
  4. Toggles the display of the image of the mipmap portion. It is only valid for texture images that contain mipmaps.

  5. Displays the image.
    For textures that include mipmaps, images in the mipmap portion are lined up at bottom left (only when mipmap display is enabled).

    If only displaying the A component, a grayscale results where white parts are an opaque color and and black parts are transparent.
    When displaying any of the RGB components at the same time, a semi-transparent image where red corresponds to the alpha value is super-imposed on the RGB components.

  6. The pixel position (x, y) and the color (RGBA) are displayed when the mouse points at the image area. In the case of a palette, the color number and the color (RGBA) will be displayed.

  7. In the case of a texture, the following four pieces of information will be displayed in order starting from the left.

    • Texture format.
    • Size (Width x Height)
    • Mipmap Level
    • Data size

    In the case of a palette, the following three pieces of information will be displayed in order starting from the left.

    • Palette Format
    • Number of Colors in the Palette
    • Data size

Mouse Operations in the Image Area

Within the image area, there are the following four types of operational modes, which correspond to the status of the key being pressed.

Regardless of the operational mode, right-clicking within the image area will close the window.

Mouse Operations in the Image Area
Key Status | Mouse Cursor | How to Use
None. |  | If you point at an image, the corresponding pixel position and color will be displayed in the bottom part of the window.
Space |  | Dragging with the left button will scroll the display area. Only enabled when the entire image does not fit inside the area.
Ctrl+Space |  | Clicking with the left button will zoom in, centering on the point that was clicked. If an area outside the image is clicked, the display will zoom in on the center of the image.
Alt+Space |  | Clicking with the left button will zoom out, centering on the point that was clicked. If an area outside the image is clicked, the display will zoom out on the center of the image.

Shortcut Keys

The shortcut keys are as follows:
These operations are enabled only when this window is active.

Shortcut Keys
Key | Operation
Ctrl+Num - | Reduces the display magnification.
Ctrl+Num + | Reduces the display magnification.
Ctrl+1 | Displays only the RGB components of an image.
Ctrl+2 | Displays only the R component of an image.
Ctrl+3 | Displays only the G component of an image.
Ctrl+4 | Displays only the B component of an image.
Ctrl+5 | Displays only the A component of an image.
Ctrl+M | Toggles the display of the image of the mipmap portion.


Viewer control window

This window controls settings made for the Viewer such as playback, stop, and playback range. You can display this window by pressing F6.

  1. Moves up to the first frame.
  2. Starts the animation playback.
  3. Stops the animation playback.
  4. Plays the animation one frame at a time.
  5. Enables playback range settings. If disabled, the last frame displays endlessly.
  6. Sets the start frame.
  7. Sets the end frame.


Menus

  • File
  • Edit
  • View
  • Preview
  • Tools
  • Help


File Menu

The file menu is used to perform file I/O and general application operations.

  • The New Item Submenu
  • About Loading Files
  • The Specify Save Location Dialog Box
  • The Binary Save Dialog Box

  1. Displays the Create New submenu.
  2. Opens files (intermediate files) compatible with NW4C EffectMaker.
    For details on loading files, see the section About Loading Files.
  3. Closes the selected file.
    When a model file (RMDL) is closed, all animation files, texture files, and palette files referenced by that model are closed at the same time.
    When a texture pattern animation file (RTPA) is closed, all texture files and palette files referenced by that animation are closed at the same time.
  4. Closes all files.
  5. Closes one or more selected files.
    The shortcut menu displayed depends upon the type of file selected in the File View pane.
  6. Saves, overwriting the selected file.
    If saving for the first time, you will be prompted to specify a save location and filename.
  7. Enter a name for the selected file and save it.
    A dialog box for specifying the save location and filename will appear.
  8. Saves all files to the specified folder.
    The dialog box for saving to a specified location is displayed.
  9. All files are converted to binary format for use by the NintendoWare 3D library and then saved.
    The Save Binary File dialog box is displayed.
  10. The name of the selected file is changed.
    Alphanumeric characters, underscores (_), hyphens (-) and periods (.) can be used in file names. If the file extension is omitted, one is appended automatically.
  11. Exiting EffectMaker

The New Item Submenu

This submenu is used to perform operations related to creating new files.

The New Item Submenu

  1. Creates a new project.
    The newly created project only possesses basic elements.

About Loading Files

Loading Files with Same Names

You can choose to open new model (RMDL) and animation (RCHA, RVIA, RCLA, RTPA, RTSA, RSHA) files in place of any files with the same name that have already been loaded. For texture (RTEX, TGA) and palette (RPLT) files, it is possible to overwrite only the data portion. You cannot open a scene (RSCA) file with the same name as one that is already loaded.

Opening Files Using Drag and Drop

You can also open files by dragging and dropping files or folders into the main window. If a folder is dragged and dropped, all files inside that folder are recursively searched and all readable files are loaded.

Opening a File from an Older Version

An older-version file is automatically converted to the new version and loaded.

Searching Texture and Palette Files

When model (RMDL) or texture pattern animation (RTPA) files are opened, the referenced texture files (RTEX) and palette files (RPLT) are loaded at the same time. The priority for searching for files when opening texture and palette files is as follows:

  1. rtex and rplt files in the textures folder within the folder for the referencing file.
  2. RTEX or RPLT files in the same folder as the referencing file
  3. TGA files in the textures folder within the folder for the referencing file
  4. TGA files in the same folder as the referencing file

Auto-Updating Texture Files and Palette Files

3DEditor monitors for updates to all texture files (RTEX) and palette files (RPLT) already loaded on the PC. When file contents are updated outside of 3DEditor, the file is reloaded automatically and transferred to Viewer. This feature is useful for making fine adjustments to textures with programs such as Photoshop and repeatedly previewing results with Viewer.

Opening TGA Files

The TGA files must contain additional information for NintendoWare. For details on creating TGA files with additional information, see the NintendoWare Photoshop Plug-in manual.

The Specify Save Location Dialog Box

This dialog box is used to specify which file to save and where to save it.

The Specify Save Location Dialog Box

  1. Specifies the folder to save to. The save folder can also be selected from a history of folders saved to in the past.
  2. Accesses the folder using the folder specification dialog.

  3. Displays a list of files to be saved. Only those files that have been checked are saved.

    If a file has the same name as a file in the save folder, the update time and date of files to be overwritten are displayed. Files that have been checked (that will be overwritten) are displayed in red.

  4. Selects a file type to check all corresponding files.
  5. Selects a file type to remove the check from all corresponding files.
  6. Displays the number of files to be saved and the number of checked files for each file type.
  7. Saves the texture file and palette file under <save_folder>/textures.
  8. Cptl files are saved in the Effects folder.
  9. A confirmation dialog box appears when files are overwritten.

The Binary Save Dialog Box

This dialog box is used to specify where files are to be saved and the output format to be used.

The Binary Save Dialog Box

  1. Displays a list of files to be saved. Only those files that have been checked are saved.
  2. Selects a file type to check all corresponding files.
  3. Selects a file type to remove the check from all corresponding files.
  4. Displays the number of files to be saved and the number of checked files for each file type.
  5. Selects whether to gather multiple binary files and to make a single binary resource file (BRRES).
  6. Specifies the resource file path when saving data as a single binary resource (BRRES).
    Click the Browse button on the right to specify a file with the Save As dialog box.
  7. Specifies folder to save in when saving files as a binary resource.
    Click the Browse button on the right to specify a folder in the Save As dialog box.


Edit Menu

Performs edit related operations.

  1. Restores contents that were changed by editing and returns to the state before editing.

    Operations that involve the importing and exporting of files (open/close/merge) will delete the edit history.
    Once that occurs, be aware that states prior to that action cannot be recovered.

  2. Reapplies edits to content that was restored and changes to the state after editing.


View Menu

Performs display-related settings.

  • The Object View Submenu
  • Column Item Settings dialog

  1. Sets the column items for the List View for each object.
    The Column Item Settings dialog appears.
  2. Opens the property window for the selected object.
  3. Toggles display of the toolbar.
  4. Toggles display of the status bar.


Preview Menu

This menu is used to perform operations related to previewing on the Viewer.

  • Data Transfer Progress Dialog
  • Scene Selection Dialog

  1. Makes the connection to the Viewer (or disconnects when connected).
    To begin a connection, the Viewer and MCS server must already be running.

  2. Transfers data to the Viewer again.

Data Transfer Progress Dialog

This dialog box is displayed when it is necessary to send a large amount of data to the Viewer.

Data Transfer Progress Dialog

  1. Forcibly terminates the connection with Viewer.
    Use it when a problem with Viewer communication occurs and data transmission does not terminate.


Tools Menu

This menu is used to perform operations related to special processing and option settings.

  • Options Dialog Box

  1. All files are temporarily converted to binary and an overview of each binary file is displayed.
    For details, see the section on Using Binary Analysis.
  2. Sets 3DEditor operational options.
    The Options Dialog is displayed.

Options Dialog Box

Configures the 3DEditor options.

Options Dialog Box

  1. Sets whether the property window's size will be optimized to fit the content of the properties displayed.
  2. Sets whether Undo can be continued endlessly.
  3. Sets the maximum number of times Undo can be repeated.
  4. Sets whether to associate a .cepj project file.


Help Menu

Calls up various documents and displays version information.

  1. Opens the help file.
    When executed with the shortcut key (F1) , context-sensitive help will appear.
  2. Displays version information.


Toolbars

Button | Corresponding Menu Item | Operation
Project | New > Project | Creates a new project.
[Open File] | File → Open | Opens the file.
<B>Save</B> | [File]->[Overwrite save] | Overwrite-saves the selected file.
[Save all] | [File] -> [Save all] | Saves all files in the location specified.
[Overwrite Save] | [File] -> [Overwrite Save] | Saves all files.
[Binary Save] | [File]->[Binary Save] | Converts a file to binary and then saves it.
[Undo] | Edit → Undo | Restores to a pre-edited state.
[Redo] | Edit → Redo | Redoes a single edit that was undone.
[Property Window] | [Display] -> Property Window] | Displays the property window.
[Connect to Viewer] ([Disconnect from Viewer]) | [Preview] -> [Connect to Viewer] ([Disconnect from Viewer]) | Starts connection to Viewer. (If connected, terminates the connection).
[Focus camera when selecting object] | [Preview] -> [Focus camera when selecting object] | Focuses the camera when object is being selected.
Help | Help → Help | Opens the help file.


Shortcut Keys

Key | Corresponding Menu Item | Operation
CTRL+O | File → Open | Opens the file.
Ctrl+W | File → Close | Closes the selected file.
Ctrl+Shift+W | [File] ->[Close All] | Closes all files.
Ctrl+S | [File]->[Overwrite save] | Overwrite-saves the selected file.
Ctrl+Shift+S | File → Save All | Saves all files.
Ctrl+B | [File]->[Binary Save] | Saves file in binary format.
F2 | [File]->[Change Name] | Changes the file name.
CTRL+Q | File → Quit | Exits the application.
Ctrl+Z | Edit → Undo | Restores to a pre-edited state.
Ctrl+Y | Edit → Redo | Redoes a single edit that was undone.
Ctrl+P | [Display] -> Property Window] | Displays the property window.
F5 | [Preview] -> [Connect to Viewer] ([Disconnect from Viewer]) | Starts connection to Viewer. (If connected, terminates the connection).
F6 | Tools > Viewer Controls | Displays Viewer Controls.
F1 | Help → Help | Displays context-sensitive help.


Trademarks

Microsoft and Windows are registered trademarks or trademarks of Microsoft Corporation in the U.S. and other countries.

All other company and product names are registered trademarks or trademarks of their respective companies.


User Data

User Data Properties

Configures the user data settings.

  • The User Data Input Dialog

User Data Properties

  1. Displays integer value user data in hexadecimal.
  2. Shifts the selected user data up.
  3. Shifts the selected user data down.

  4. Adds the user data to the list.
    The setting is configured in the User Data Input dialog.

    If user data is selected, the new data is prepended.
    If user data is not selected, the new data is added appended to the end of the list.

  5. Deletes the selected user data.
  6. Edits the selected user data.
    The setting is configured in the User Data Input dialog.

  7. The list of configured user data.
    User data is listed in order by name, format, size and value.

    The format has one of the following values.

    string
    character strings data
    int
    integer data
    float
    floating point data

    Size indicates the number of characters for character string data and the amount of data for numeric data.

The User Data Input Dialog

Inputs (edits) user data.

The User Data Input Dialog

  1. Specifies the user data name.
  2. Selects the user data type. The options are character string, integer and floating point.
  3. Sets the value (string) when the character string type is selected.
  4. Sets the value when a numeric (integer or floating point) type is selected. Multiple values can be input by inserting a carriage return between the values.